image: docker:latest

services:
  - docker:dind

stages:
  - build

variables:
  DOCKER_DRIVER: overlay2
  GCLOUD_VERSION: 252.0.0

before_script:
  - docker login -u ${CI_REGISTRY_USER} -p ${CI_REGISTRY_PASSWORD} ${CI_REGISTRY}

build:
  stage: build
  tags:
    - docker
  script:
    - docker build
      -t ${CI_REGISTRY_IMAGE}
      -t ${CI_REGISTRY_IMAGE}:${GCLOUD_VERSION}
      --build-arg GCLOUD_VERSION=${GCLOUD_VERSION}
      .
    - docker push ${CI_REGISTRY_IMAGE}
    - docker push ${CI_REGISTRY_IMAGE}:${GCLOUD_VERSION}
